http://www.politiker-stopp.de/gfx/politiker-stopp-print.png

Benjamin Schieder

SPACE TRADER - DOWNLOAD

From Google Play.

QRCode

Version 1.3.2 (requires Android 4.0.4 or newer).

QRCode

Version 1.3.1 (requires Android 4.0.4 or newer).

Version 1.3.0 (requires Android 4.0.4 or newer).

Version 1.2.7 (requires Android 4.0.4 or newer).

Version 1.2.6 (requires Android 4.0.4 or newer).

Version 1.2.5 (requires Android 4.0.4 or newer).

Version 1.2.4 (requires Android 4.0.4 or newer).

Version 1.2.1 (requires Android 4.0.4 or newer).

Version 1.2.0 (requires Android 4.0.4 or newer).

Version 1.1.1 (requires Android 4.0.4 or newer).

Version 1.1.0 (requires Android 4.0.4 or newer). !!WARNING!! This version is NOT compatible with savegames from version 1.0! Finish your game before updating or risk losing it!

Version 1.0 (requires Android 4.0.4 or newer).